import { __extends, __decorate, __metadata } from 'tslib';
import StatelessComponent from '../../StatelessComponent.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';

var getClassNames = classNamesFunction();
var ShimmerGapBase = function(_super) {
  __extends(ShimmerGapBase2, _super);
  function ShimmerGapBase2() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  ShimmerGapBase2.prototype.render = function(h, ctx) {
    var _a = ctx.props, height = _a.height, styles = _a.styles, _b = _a.width, width = _b === void 0 ? "10px" : _b, borderStyle = _a.borderStyle, theme = _a.theme;
    var classNames = getClassNames(styles, {
      theme: theme,
      height: height,
      borderStyle: borderStyle
    });
    return h("div", {
      class: classNames.root,
      style: { width: width, minWidth: typeof width === "number" ? "".concat(width, "px") : "auto" }
    });
  };
  __decorate([
    Prop({ type: Number, default: 0 }),
    __metadata("design:type", Number)
  ], ShimmerGapBase2.prototype, "height", void 0);
  __decorate([
    Prop({ type: String, default: "auto" }),
    __metadata("design:type", String)
  ], ShimmerGapBase2.prototype, "width", void 0);
  ShimmerGapBase2 = __decorate([
    Component
  ], ShimmerGapBase2);
  return ShimmerGapBase2;
}(StatelessComponent);

export { ShimmerGapBase };
